package com.tzld.piaoquan.ad.engine.service.score.param;

import lombok.Data;

import java.util.List;

/**
 * 广告分发过程中的统计日志，ad-engine.statistics-log库用
 */
@Data
public class StatisticsLogParam {

    private List<Long> earlyAdIds;

    private List<Long> earlyCreativeIds;

    private List<Long> finalCreativeIds;

    private List<Long> commonFilterAfterAdIds;

    private List<Long> commonFilterAfterCreativeIds;

    private List<Long> tacticsFilterAfterAdIds;

    private List<Long> tacticsFilterAfterCreativeIds;
}
