package com.tzld.piaoquan.ad.engine.commons.feign;


import lombok.Data;

/**
 * Common Response
 *
 * @author ehlxr
 */
@Data
public class CommonResponse<T> {
    /**
     * 返回状态码，0 表示业务成功
     */
    private int code = 0;
    /**
     * 返回消息
     */
    private String msg = "success";
    /**
     * 业务成功时返回数据
     */
    private T data;
    /**
     * 重定向
     */
    private String redirect;



}
