package com.tzld.piaoquan.ad.engine.service.predict.constant;

public class RuleRedisKeyConst {
//         用户组有广告时的分享率预测结果存放 redis key 前缀，完整格式：ad:users:group:predict:share:rate:{user_data_key}:{date}
    public static String KEY_NAME_PREFIX_AD_GROUP="ad:users:group:predict:share:rate:";
//    视频有广告时的分享率预测结果存放 redis key 前缀，完整格式：ad:video:predict:share:rate:{video_data_key}:{date}
    public static String KEY_NAME_PREFIX_AD_VIDEO="ad:video:predict:share:rate:";
//    用户分组结果存放 redis key 前缀，完整格式：mid:group:{class_key}:{mid}
    public static String KEY_NAME_PREFIX_MID_GROUP="mid:group:";
//    广告推荐阈值结果存放 redis key 前缀，完整格式：ad:threshold:{abtestId}:{abtestConfigTag}:{abtestGroup}:{group}
    public static String KEY_NAME_PREFIX_AD_THRESHOLD="ad:threshold:";
//    广告推荐关怀模式实验阈值结果存放 redis key 前缀，完整格式：ad:threshold:care:{abtestId}:{abtestConfigTag}:{abtestGroup}:{group}
    public static String KEY_NAME_PREFIX_AD_THRESHOLD_CARE_MODEL="ad:threshold:care:";
//    特定视频不出广告视频列表存放 redis key 前缀，完整格式：no:ad:videos:{appType}
    public static String KEY_NAME_PREFIX_NO_AD_VIDEOS="no:ad:videos:";
//    有广告时的用户跳出模型离线分数 redis key 前缀，完整格式：ad:out:model:score:user:{model_key}:{mid}
    public static String KEY_NAME_PREFIX_AD_OUT_MODEL_SCORE_USER="ad:out:model:score:user:";
//    有广告时的视频跳出模型离线分数 redis key 前缀，完整格式：ad:out:model:score:video:{model_key}:{videoid}
    public static String KEY_NAME_PREFIX_AD_OUT_MODEL_SCORE_ITEM="ad:out:model:score:item:";
//        # 有广告时的视频跳出模型策略配置  redis key 前缀，完整格式：ad:out:model:config:{model_key}:{abtest_id}:{abtest_config_tag}:{config}
    public static String KEY_NAME_PREFIX_AD_OUT_MODEL_CONFIG="ad:out:model:config:";
    public static String KEY_NAME_AD_ARPU="ad:arpu";
    public static String KEY_NAME_AD_ROI_PARAM="ad:roi:param";


    //    # 新策略使用
//    # 视频有广告时的分享率预测结果存放 redis key 前缀，完整格式：video:predict:share:rate:with:ad:{video_data_key}:{date}
    public static String KEY_NAME_PREFIX_VIDEO_WITH_AD="video:predict:share:rate:with:ad:";
//  用户组有广告时的分享率预测结果存放 redis key 前缀，完整格式：users:group:predict:share:rate:with:ad:{user_data_key}:{user_rule_key}:{date}
    public static String KEY_NAME_PREFIX_GROUP_WITH_AD="users:group:predict:share:rate:with:ad:";
    //用户组无广告时的分享率预测结果存放 redis key 前缀，完整格式：users:group:predict:share:rate:no:ad:{user_data_key}:{user_rule_key}:{date}
    public static String KEY_NAME_PREFIX_GROUP_NO_AD="users:group:predict:share:rate:no:ad:";
    //  视频无广告时的分享率预测结果存放 redis key 前缀，完整格式：video:predict:share:rate:no:ad:{video_data_key}:{date}
    public static String KEY_NAME_PREFIX_VIDEO_NO_AD="video:predict:share:rate:no:ad:";

    //广告引擎用户特征  ad:engine:user:features:{mid}
    public static String AD_ENGINE_USER_FUTURE_KEY="ad:engine:user:features:";

    //    用户90分享分组结果存放 redis key 前缀，完整格式：mid:90share:group:{mid}
//    public static String KEY_NAME_PREFIX_90_SHARE_TYPE="mid:90share:group:";

}
