package com.tzld.piaoquan.ad.engine.service.score.param;

import lombok.Data;
import lombok.ToString;

import java.util.List;
import java.util.Map;

@Data
@ToString
public class RecommendRequestParam {
    private MachineInfoParam machineInfo;

    private Long videoId;
    private Long appType;
    private String mid;
    // 省-中文
    private String region = "-1";
    // 市-中文
    private String city = "-1";
    private Integer newExpGroup;
    private String pqtId;
    private List<Map<String, String>> adAbExpArr;
    private String adAbGroup;

    private StatisticsLogParam statisticsLog;
}
